﻿using System;
using System.Collections.Generic;

namespace notes.Core
{
    public static class NoteManager
    {
        static NoteManager()
        {
        }

        public static Note GetNote(int id)
        {
            return NoteRepository.GetNote(id);
        }

        public static IList<Note> GetNotes()
        {
            return new List<Note>(NoteRepository.GetNotes());
        }

        public static int SaveNote(Note item)
        {
            return NoteRepository.SaveNote(item);
        }

        public static int DeleteNote(int id)
        {
            return NoteRepository.DeleteNote(id);
        }

    }
}
